local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireItemPickup = ____shouldFire.shouldFireItemPickup
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostItemPickup = __TS__Class()
local PostItemPickup = ____exports.PostItemPickup
PostItemPickup.name = "PostItemPickup"
__TS__ClassExtends(PostItemPickup, CustomCallback)
function PostItemPickup.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireItemPickup
    self.featuresUsed = {ISCFeature.ITEM_PICKUP_DETECTION}
end
return ____exports
